> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get electric pole details > Operation is used to retrieve full details of given electric pole id. Available from product version 3.2.2. ## OpenAPI ````json GET /el_poles/{id}/ { "openapi": "3.0.4", "info": { "title": "KeyLight REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Electric Premises", "description": "Electric Premises related operations." }, { "name": "Electric Fuse", "description": "Fuse related operations." }, { "name": "Electric Splice", "description": "Electric Splice related operations." }, { "name": "Electric Manhole", "description": "Electric Manhole related operations." }, { "name": "Electric Point Object", "description": "Other electric point objects related operations." }, { "name": "Electric Pole", "description": "Electric Pole related operations." }, { "name": "Streetlight", "description": "Streetlight related operations." }, { "name": "Traffic Signal", "description": "Traffic signal related operations." }, { "name": "Electric Cable", "description": "Electric Cable related operations." }, { "name": "Electric Cable Connection", "description": "Operations related to connecting Electric Cables and Electric endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Conduit", "description": "Electric Conduit related operations." }, { "name": "Electric Conduit Link", "description": "Operations related to putting Electric Cables and Ducts into Conduits." }, { "name": "Electric Conduit Connection", "description": "Operations related to connecting Conduits and endpoints(Streetlights, Splices, Premises)." }, { "name": "Electric Duct", "description": "Electric Duct related operations." }, { "name": "Electric Duct Link", "description": "Operations related to putting Electric Cables into Ducts." }, { "name": "Electric Routefollower", "description": "Electric Routefollower related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/el_poles/{id}/": { "get": { "tags": [ "Electric Pole" ], "summary": "Get electric pole details", "description": "Operation is used to retrieve full details of given electric pole id. Available from product version 3.2.2.\n", "operationId": "getElPoleDetails", "parameters": [ { "name": "id", "in": "path", "description": "Id of electric pole", "required": true, "schema": { "type": "integer" } } ], "responses": { "200": { "description": "Electric Pole", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ElPole" } } } }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "ElPole": { "required": [ "pole_type", "usage_state" ], "type": "object", "properties": { "address": { "type": "string", "description": "Url to fetch related address details", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "base_change_date": { "type": "string", "description": "Base change date", "format": "date" }, "base_manufacturer": { "$ref": "#/components/schemas/ElPoleBaseManufacturer" }, "base_material": { "$ref": "#/components/schemas/ElPoleBaseMaterial" }, "base_type": { "$ref": "#/components/schemas/ElPoleBaseType" }, "change_date": { "type": "string", "description": "Change data", "format": "date" }, "checkout_year": { "type": "integer", "description": "Checkout year" }, "coating": { "$ref": "#/components/schemas/ElPoleCoating" }, "color": { "$ref": "#/components/schemas/ElPoleColor" }, "contractor": { "$ref": "#/components/schemas/ElPoleContractor" }, "created_by": { "type": "string", "description": "Created by", "readOnly": true }, "created_ts": { "type": "string", "description": "Created timestamp", "format": "date-time", "readOnly": true }, "decay_class": { "$ref": "#/components/schemas/ElPoleDecayClass" }, "engineering_fit": { "$ref": "#/components/schemas/ElPoleEngineeringFit" }, "hatch_count": { "type": "integer", "description": "Hatch count" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "install_date": { "type": "string", "description": "Install date", "format": "date" }, "install_year": { "type": "integer", "description": "Install year" }, "lantern_angle": { "type": "integer", "description": "Available from product version 2025.2.0" }, "length": { "type": "number", "description": "Electric Pole length", "format": "float" }, "location": { "type": "string", "description": "Location of pole in EWKT", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Survey mapper" }, "mapping_date": { "type": "string", "description": "Mapping date", "format": "date" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "material": { "$ref": "#/components/schemas/ElPoleMaterial" }, "net_type": { "$ref": "#/components/schemas/ElNetType" }, "network_area": { "$ref": "#/components/schemas/ElDivision" }, "owner": { "$ref": "#/components/schemas/ElPoleOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "pole_manufacturer": { "$ref": "#/components/schemas/ElPoleManufacturer" }, "pole_number": { "type": "string", "description": "Electric Pole number" }, "pole_type": { "$ref": "#/components/schemas/ElPoleType" }, "purlin_change_date": { "type": "string", "description": "Pole purlin date. Available from product version 2025.2.0", "format": "date-time" }, "purlin_material": { "$ref": "#/components/schemas/ElPolePurlinMaterial" }, "purlin_surface": { "$ref": "#/components/schemas/ElPolePurlinSurface" }, "purlin_type": { "$ref": "#/components/schemas/ElPolePurlinType" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/ElPoleRenter" }, "safety_class": { "$ref": "#/components/schemas/ElPoleSafetyClass" }, "shade": { "$ref": "#/components/schemas/ElPoleShade" }, "stanchion": { "$ref": "#/components/schemas/ElPoleStanchion" }, "streetname": { "type": "string", "description": "Street name" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "trunk": { "$ref": "#/components/schemas/ElPoleTrunk" }, "type_drawing": { "type": "string", "description": "Type drawing" }, "updated_by": { "type": "string", "description": "Last updated by", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last updated timestamp", "format": "date-time", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/ElPoleUsageState" }, "warranty_exp_date": { "type": "string", "description": "Warranty expiration date", "format": "date" }, "warranty_period": { "type": "integer", "description": "Warranty period in months" } } }, "Angle": { "type": "number", "description": "Angle in degrees. 0 is north.\nInput accepts values from -360 to 360. \nNegative values are converted to positive (-90 -> 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "ElPoleBaseManufacturer": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_BASE_MANUFACT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole base manufacturer" }, "ElPoleBaseMaterial": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_BASE_MATERIAL" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole base material" }, "ElPoleBaseType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_BASE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole base type" }, "ElPoleCoating": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_COATING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole coating" }, "ElPoleColor": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "COLOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole Color" }, "ElPoleContractor": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_CONTRACTOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole contractor" }, "ElPoleDecayClass": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_POLE_DECAY_CLASS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole decay class" }, "ElPoleEngineeringFit": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_POLE_ENG_FIT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Engineering fit" }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "ElPoleMaterial": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_MATERIAL" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole material" }, "ElNetType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "NET_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Net type" }, "ElDivision": { "type": "object", "properties": { "id": { "type": "integer", "description": "Unique id of division", "readOnly": true }, "list_url": { "type": "string", "description": "Url to fetch all divisions", "format": "url", "readOnly": true }, "location": { "type": "string", "description": "Location of Division", "format": "ewkt", "readOnly": true }, "name": { "type": "string", "description": "Name of division", "readOnly": true } }, "description": "Division" }, "ElPoleOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole owner" }, "Plan": { "required": [ "state", "type", "name" ], "type": "object", "properties": { "Branch_line": { "$ref": "#/components/schemas/DHCPDN" }, "Center_measure": { "$ref": "#/components/schemas/DHCPDN" }, "Construction": { "$ref": "#/components/schemas/PlanConstruction" }, "Excavation": { "$ref": "#/components/schemas/PlanExcavation" }, "Limiter": { "$ref": "#/components/schemas/DHCPLimiter" }, "Plan_piping": { "$ref": "#/components/schemas/PlanPiping" }, "agreed_delivery_date": { "type": "string", "description": "Agreed Delivery Date. Activated on request by customer.", "format": "date-time" }, "area_description": { "type": "string", "description": "Area Description. Activated on request by customer." }, "begin_date": { "type": "string", "description": "Begin Date", "format": "date-time" }, "construction_year": { "type": "integer", "description": "Contact Name. Not shown when displaying plan details in related objects. Activated on request by customer." }, "contact_email": { "type": "string", "description": "Contact Email Address. Activated on request by customer." }, "contact_name": { "type": "string", "description": "Contact Name. Activated on request by customer." }, "contact_phone": { "type": "string", "description": "Contact phone number. Activated on request by customer." }, "cp_identification": { "type": "string", "description": "Consumer Point Identification. Activated on request by customer." }, "created_by": { "type": "string", "description": "Created by" }, "created_date": { "type": "string", "description": "Create Date", "format": "date-time" }, "customer_contact_date": { "type": "string", "description": "Customer Contact Date. Activated on request by customer.", "format": "date-time" }, "description": { "type": "string", "description": "Description" }, "desired_delivery_date": { "type": "string", "description": "Desired Delivery Date. Activated on request by customer.", "format": "date-time" }, "district_area": { "$ref": "#/components/schemas/DistrictArea" }, "duration": { "type": "integer", "description": "Duration. Activated on request by customer." }, "expire_date": { "type": "string", "description": "Expire Date", "format": "date-time" }, "first_contact": { "type": "string", "description": "First contact person for plan. Not shown when displaying plan details in related objects. Activated on request by customer." }, "id": { "type": "integer", "description": "Unique id of plan", "readOnly": true }, "implementation_begin_end": { "type": "string", "description": "Implementation Date. Activated on request by customer.", "format": "date-time" }, "implementation_date": { "type": "string", "description": "Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "latest_implementation_date": { "type": "string", "description": "Latest Implementation Date. Activated on request by customer. Format is date with no time from product version 3.7.1.", "format": "date" }, "list_url": { "type": "string", "description": "URL to the list of all Plans. Only shown when displaying plan details in related objects.", "format": "url" }, "location": { "type": "string", "description": "Geographical location. As EWKT representation", "format": "ewkt" }, "louhi_id": { "type": "string", "description": "Louhi ID. Activated on request by customer." }, "modifications": { "type": "string", "description": "Modifications. Not shown when displaying plan details in related objects. Activated on request by customer." }, "name": { "type": "string", "description": "Name of Plan" }, "network": { "$ref": "#/components/schemas/PlanNetworkType" }, "network_owner": { "$ref": "#/components/schemas/PlanNetworkOwner" }, "offer_accepted_date": { "type": "string", "description": "Offer Accepted Date. Activated on request by customer.", "format": "date-time" }, "offer_id": { "type": "string", "description": "Offer ID. Activated on request by customer." }, "parentplan": { "type": "string", "description": "URL to the plan of which the plan is part of (subplan). Available from version 3.2.24. Activated on request by customer.", "format": "url" }, "plan_remark": { "type": "string", "description": "Plan remark. Not shown when displaying plan details in related objects. Activated on request by customer." }, "plumbing_start_date": { "type": "string", "description": "Plumbing Start Date. Activated on request by customer.", "format": "date-time" }, "property_address": { "type": "string", "description": "Property address. Not shown when displaying plan details in related objects. Activated on request by customer." }, "publicity": { "$ref": "#/components/schemas/PlanPublicity" }, "state": { "$ref": "#/components/schemas/PlanState" }, "total_cost": { "type": "number", "description": "Sum of cost for all related objects for the plan. Not shown when displaying plan details in related objects. Activated on request by customer.", "format": "float" }, "type": { "$ref": "#/components/schemas/PlanType" }, "updated_by": { "type": "string", "description": "Updated by" }, "updated_date": { "type": "string", "description": "Update Date", "format": "date-time" }, "work_activities": { "type": "string", "description": "Work Activities. Activated on request by customer." }, "work_phase": { "$ref": "#/components/schemas/PlanWorkPhase" }, "work_project": { "type": "string", "description": "Work Project. Activated on request by customer." }, "work_type": { "$ref": "#/components/schemas/PlanWorkType" }, "work_type_main": { "$ref": "#/components/schemas/PlanWorkTypeMain" }, "work_type_sub": { "$ref": "#/components/schemas/PlanWorkTypeSub" } }, "description": "Plan" }, "ElPoleManufacturer": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_POLE_MANUFACT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole manufacturer" }, "ElPoleType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_POLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole type" }, "ElPolePurlinMaterial": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PURLIN_MATERIAL" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole purlin material renamed to Luminaire arm material. Changed from product version 2026.2." }, "ElPolePurlinSurface": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PURLIN_SURFACE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole purlin surface renamed to Luminaire arm coating. Changed from product version 2026.2." }, "ElPolePurlinType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_PURLIN_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole purlin type renamed to Luminaire arm type. Changed from product version 2026.2." }, "ElPoleRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole renter" }, "ElPoleSafetyClass": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_SAFETY_CLASS" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole safety class" }, "ElPoleShade": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_SHADE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole shade" }, "ElPoleStanchion": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "EL_POLE_STANCHION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole stanchion" }, "ElPoleTrunk": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_TRUNK" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Electric Pole trunk" }, "ElPoleUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "POLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Pole state" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "DHCPDN": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_DN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Duct Diameter" }, "PlanConstruction": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_CONSTRUCTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Construction" }, "PlanExcavation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_EXCAVATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Excavation" }, "DHCPLimiter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_LIMITER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Limiter" }, "PlanPiping": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PIPING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Piping" }, "DistrictArea": { "type": "object", "properties": { "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Name of District Area" } }, "description": "District Area" }, "PlanNetworkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Type" }, "PlanNetworkOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Owner" }, "PlanPublicity": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PUBLICITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Publicity" }, "PlanState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan state" }, "PlanType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan type" }, "PlanWorkPhase": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_PHASE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Phase" }, "PlanWorkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type" }, "PlanWorkTypeMain": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_MAIN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Main" }, "PlanWorkTypeSub": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_WORK_TYPE_SUB" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Work Type Sub" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } }, "Http404": { "description": "Object was not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Not found." } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````